## org.apache.myfaces.custom.tree
Class HtmlTreeColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn
                  org.apache.myfaces.custom.tree.HtmlTreeColumn

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlTreeColumn
extends javax.faces.component.UIColumn

Tree column model. This column is used to provide the place holder for the tree. This is used in conjunction with the table format display.

Author:
  David Le Strat

Field Summary
`static java.lang.String` `COMPONENT_FAMILY` The component family.
`static java.lang.String` `COMPONENT_TYPE` The component type.

Constructor Summary
`HtmlTreeColumn()` Default Constructor.

Method Summary
`java.lang.String` `getFamily()`

Methods inherited from class javax.faces.component.UIColumn
`getFooter, getHeader, setFooter, setHeader`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The component type.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

  The component family.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlTreeColumn

    public HtmlTreeColumn()

  Default Constructor.

Method Detail

### getFamily

    public java.lang.String getFamily()

  See Also:
    `UIComponent.getFamily()`